Skip to main content
DELETE
/
organizations
/
{orgId}
/
catalogs
/
{catalogId}
/
products
/
{productId}
Delete Product
curl --request DELETE \
  --url https://api.joinrefine.io/organizations/{orgId}/catalogs/{catalogId}/products/{productId} \
  --header 'REFINE_API_KEY: <api-key>'
import requests

url = "https://api.joinrefine.io/organizations/{orgId}/catalogs/{catalogId}/products/{productId}"

headers = {"REFINE_API_KEY": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {REFINE_API_KEY: '<api-key>'}};

fetch('https://api.joinrefine.io/organizations/{orgId}/catalogs/{catalogId}/products/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": 123,
  "message": "<string>",
  "time": "2023-11-07T05:31:56Z",
  "method": "<string>",
  "url": "<string>"
}
{
"status": 401,
"message": "Unauthorized",
"time": "2024-06-14T19:21:00Z",
"method": "GET",
"url": "/organizations/a8cd2722-1234-4567-9abc-def123456789/catalogs"
}
{
"status": 123,
"message": "<string>",
"time": "2023-11-07T05:31:56Z",
"method": "<string>",
"url": "<string>"
}
{
"status": 123,
"message": "<string>",
"time": "2023-11-07T05:31:56Z",
"method": "<string>",
"url": "<string>"
}

Authorizations

REFINE_API_KEY
string
header
required

API key for authentication

Path Parameters

orgId
string<uuid>
required

Organization ID (UUID)

catalogId
string<uuid>
required

Catalog ID (UUID)

productId
string
required

Product ID

Response

Product deleted successfully